Ruby - Bug #4472

mongrel on Windows XP
03/06/2011 11:46 AM - arifb (Arif Burhan)

Status: Third Party's Issue
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 1.9.2p0 (2010-08-18) Backport:
[(386-mingw32]

Description
OUTPUT FROM COMMAND.COM DOS BOX

C:\Ruby>mongrel_rails start -d
C:/Ruby/lib/ruby/gems/1.9.1/gems/mongrel-1.1.5-x86-mingw32/lib/http11.so: [BUG] Segmentation fault
ruby 1.9.2p0 (2010-08-18) [i386-mingw32]

-- control frame ----------

¢:0013 p:-3657750 s:0039 b:0039 1:000038 d:000038 TOP

€:0012 p:---- 5:0037 b:0037 1:000036 d:000036 CFUNC :require

€:0011 p:0013 s:0033 b:0033 1:000032 d:000032 METHOD internal:lib/rubygems/custom_require:29
¢:0010 p:0095 s:0028 b:0028 1:000027 d:000027 TOP

C:/Ruby/lib/ruby/gems/1.9.1/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:12

€:0009 p:---- s:0026 b:0026 1:000025 d:000025 FINISH

€:0008 p:---- s:0024 b:0024 1:000023 d:000023 CFUNC :require

€:0007 p:0013 s:0020 b:0020 1:000019 d:000019 METHOD internal:lib/rubygems/custom_require:29
¢:0006 p:0066 s:0015 b:0015 1:000014 d:000014 TOP

C:/Ruby/lib/ruby/gems/1.9.1/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:11
c:0005 p:---- s:0013 b:0013 1:000012 d:000012 FINISH

¢:0004 p:---- s:0011 b:0011 1:000010 d:000010 CFUNC :load

¢:0003 p:0127 s:0007 b:0007 1:001984 d:001cf8 EVAL C:/Ruby/bin/mongrel_rails:19
¢:0002 p:---- s:0004 b:0004 1:000003 d:000003 FINISH

c:0001 p:0000 s:0002 b:0002 1:001984 d:001984 TOP

-- Ruby level backtrace information
C:/Ruby/bin/mongrel_rails:19:in <main>' C:/Ruby/bin/mongrel_rails:19:in load’
C:/Ruby/lib/ruby/gems/1.9.1/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:11:in <top (required)>'
<internal:lib/rubygems/custom_require>:29:in require'

internal:lib/rubygems/custom_require:29:in require'
C:/Ruby/lib/ruby/gems/1.9.1/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:12:in <top (required)>"'
internal:lib/rubygems/custom_require:29:in require' <internal:lib/rubygems/custom_require>:29:in require

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information.

C:\Ruby>gem list --local

History

#1 - 06/26/2011 06:18 PM - naruse (Yui NARUSE)
- Status changed from Open to Third Party's Issue
http://www.ruby-lang.org/bugreport.html

It looks like mongrel's issue.
